import { useState } from "react";
import Head from "next/head";
import Image from "next/image";
import styles from "../styles/Home.module.css";
// import CKEditor from "../component/CkEditor";

// import ReactPlayer from 'react-player'
import dynamic from "next/dynamic";

const Player = dynamic(() => import("react-player"), {
  ssr: false,
});

const CKEditor = dynamic(() => import("../component/CkEditor"), {
  ssr: false
});

export default function Home() {
  const [play, setPlay] = useState(false);
  const [muted, setMuted] = useState(false);
  return (
    <div className={styles.container}>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>
          Welcome to <a href="https://nextjs.org">Next.js!</a>
        </h1>

        <p className={styles.description}>
          Get started by editing{" "}
          <code className={styles.code}>pages/index.js</code>
        </p>

        <div className={styles.grid}>
          <Player
            url="https://www.youtube.com/watch?v=MvwR5aJQSUM"
            playing={play}
            volume={1}
            muted={muted}
          />
        </div>
        <button onClick={() => setPlay(!play)}>Play</button>
        <button onClick={() => setMuted(!muted)}>Muted</button>
        <div className={styles.grid}>
          <CKEditor/>
        </div>
      </main>

      <footer className={styles.footer}>
        <a
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          Powered by{" "}
          <span className={styles.logo}>
            <Image src="/vercel.svg" alt="Vercel Logo" width={72} height={16} />
          </span>
        </a>
      </footer>
    </div>
  );
}
